> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all cell components for the current organization

> Retrieve all cell components for the current organization.

By default, includes system components as well.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /cell_components
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /cell_components:
    get:
      tags:
        - Cell Components
      summary: List all cell components for the current organization
      description: |-
        Retrieve all cell components for the current organization.

        By default, includes system components as well.
      operationId: list_cell_components_cell_components_get
      parameters:
        - name: include_system
          in: query
          required: false
          schema:
            type: boolean
            default: true
            title: Include System
        - name: component_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/ComponentType'
              - type: 'null'
            description: Filter by component type
            title: Component Type
          description: Filter by component type
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CellComponent'
                title: Response List Cell Components Cell Components Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ComponentType:
      type: string
      enum:
        - cathode
        - anode
        - electrolyte
        - separator
        - case
        - cell
      title: ComponentType
      description: Enum for cell component types.
    CellComponent:
      properties:
        component_type:
          $ref: '#/components/schemas/ComponentType'
          description: Type of the component
        material_id:
          type: string
          title: Material Id
          description: ID of the material
        properties:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Properties
          description: >-
            Application properties using Quantity format for numerics. Example:
            {'diameter': {'value': 14, 'unit': 'mm'}, 'binder': 'PVDF'}
        id:
          type: string
          title: Id
          description: Unique identifier for the component
        organization_id:
          type: string
          title: Organization Id
          description: Organization ID of the component
        project_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Id
          description: >-
            Project the component is scoped to, derived from the cell
            specification(s) that reference it. Null when the component is
            shared across multiple projects or is org-global.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the component was created
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when the component was last updated
      type: object
      required:
        - component_type
        - material_id
        - id
        - organization_id
        - created_at
        - updated_at
      title: CellComponent
      description: Model representing a cell component as returned by the API.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````